Start a cart at another merchant location
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/location-switches \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--header 'X-Cart-Token: <api-key>' \
--data '
{
"targetLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "start_new_cart",
"acceptedChanges": true
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/location-switches"
payload = {
"targetLocationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "start_new_cart",
"acceptedChanges": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"X-Cart-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
'X-Cart-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
targetLocationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
strategy: 'start_new_cart',
acceptedChanges: true
})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/carts/{cartId}/location-switches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": "confirmation_required",
"sourceCartId": "<string>",
"targetLocationId": "<string>",
"differences": [
{
"cartItemId": "<string>",
"canonicalEntityId": "<string>",
"path": "<string>",
"before": "<string>",
"after": "<string>",
"permittedActions": []
}
]
}{
"outcome": "confirmation_required",
"sourceCartId": "<string>",
"targetLocationId": "<string>",
"differences": [
{
"cartItemId": "<string>",
"canonicalEntityId": "<string>",
"path": "<string>",
"before": "<string>",
"after": "<string>",
"permittedActions": []
}
]
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"message": "<string>",
"requestId": "<string>",
"details": {}
}Carts
Start a cart at another merchant location
POST
/
locations
/
{locationId}
/
carts
/
{cartId}
/
location-switches
Start a cart at another merchant location
Authorizations
StorefrontCartCapabilityStorefrontCustomerAuth
Purpose-limited capability returned for a guest cart.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Current cart ETag returned by the API.
Pattern:
^(?:W/)?"cart-(?:0|[1-9][0-9]*)"$Path Parameters
Required string length:
1 - 128Required string length:
1 - 128Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
start_new_cart, try_move_items Available options:
true Available options:
takeout, table_side, room_service, delivery ⌘I